Paper Trading
Reset a paper trading account
POST
appApiKeyheader
x-app-api-key<token>App-scoped API key. It is the only credential on partner-admin reads, paper-trading admin, and webhook rotate or replay. POST /bot-protection/verify requires it together with x-app-id.
appId*stringaccountId*stringapplication/json- body
balanceRaw?stringMatch
^[0-9]+$balance?numberRange
0 <= valuereason?stringLength
length <= 500200
application/json- response
account*adjustment*curl -X POST 'https://api.t.sufwankhalid.com/apps/string/paper-trading/accounts/string/reset' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "account": { "id": "string", "appId": "string", "name": "string", "externalId": "string", "currency": "string", "startingBalanceRaw": "string", "startingBalance": 0, "cashBalanceRaw": "string", "cashBalance": 0, "realizedPnlRaw": "string", "realizedPnl": 0, "kycStatus": "verified", "kycVerified": true, "status": "active", "createdAt": "string", "updatedAt": "string" }, "adjustment": { "id": "string", "accountId": "string", "type": "set_balance", "amountRaw": "string", "amount": 0, "previousCashBalanceRaw": "string", "previousCashBalance": 0, "newCashBalanceRaw": "string", "newCashBalance": 0, "reason": "string", "createdAt": "string" }}